Security update for apache2

SUSE Security Update: Security update for apache2
Announcement ID: SUSE-SU-2018:3582-2
Rating: important
References: #1109961
Cross-References: CVE-2018-11763
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP4
  • SUSE Linux Enterprise Server 12-SP4

An update that fixes one vulnerability is now available.

Description:

This update for apache2 fixes the following issues:
Security issues fixed:

  • CVE-2018-11763: In Apache HTTP Server by sending continuous, large SETTINGS frames a client can occupy a connection, server thread and CPU time without any connection timeout coming to effect. This affects only HTTP/2 connections. (bsc#1109961)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 12-SP4:
    zypper in -t patch SUSE-SLE-SDK-12-SP4-2018-2541=1
  • SUSE Linux Enterprise Server 12-SP4:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-2018-2541=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 ppc64le s390x x86_64):
    • apache2-debuginfo-2.4.23-29.27.2
    • apache2-debugsource-2.4.23-29.27.2
    • apache2-devel-2.4.23-29.27.2
  • SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):
    • apache2-2.4.23-29.27.2
    • apache2-debuginfo-2.4.23-29.27.2
    • apache2-debugsource-2.4.23-29.27.2
    • apache2-example-pages-2.4.23-29.27.2
    • apache2-prefork-2.4.23-29.27.2
    • apache2-prefork-debuginfo-2.4.23-29.27.2
    • apache2-utils-2.4.23-29.27.2
    • apache2-utils-debuginfo-2.4.23-29.27.2
    • apache2-worker-2.4.23-29.27.2
    • apache2-worker-debuginfo-2.4.23-29.27.2
  • SUSE Linux Enterprise Server 12-SP4 (noarch):
    • apache2-doc-2.4.23-29.27.2

References: